//  Copyright (C) 2014 - Davide Cappucci
//
//  This file is part of the Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

m = mode();
mode(7)

// Get the path of this demo
path = get_absolute_file_path("sl_ctorque.dem.sce");
//
// Load a robot from an existing model: Puma560
mdl_puma560;
// Create a copy of the robot with zero applied joint torques.
p560nf = nofriction(p560);

// Load Xcos diagram
xcos(path + "Xcos/sl_ctorque.zcos");

// import in Scilab workspace the Xcos diagram "sl_ctorque.zcos"
importXcosDiagram(path + "Xcos/sl_ctorque.zcos");
// this function creates a local variable named "scs_m"
// and it will be used for the simulation

// start the simulation
scicos_simulate(scs_m);


clear scs_m path handle;
mode(m);
