//  Copyright (C) 2014 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function v = %Link_e(field, l)
    v = [];
    if typeof(l)=="Link" then
        select convstr(field,"l")
        case "m" then
            v=l(9)
        case "r" then
            v=l(10)
        case "i" then
            v=l(11);
        case "jm" then
            v=l(12)
        case "g" then
            v=l(13)
        case "b" then
            v=l(14)
        case "tc" then
            v=l(15)
        case "qlim" then
            v=l(16)
            //-------------------------------------------------------//
            //  Methods
            //-------------------------------------------------------//
        case "rp" then
            v = RP(l);
        case "isrevolute" then 
            v = isrevolute(l);
        case "isprismatic" then 
            v = isprismatic(l);
        case "display"
            v = l
        case "char" then
            print_link(l);
        case "dyn" then
            dyn(l);
        case "friction" then
            error("Use ''friction(link,qd)''");  
        else
            error('Invalid field');
        end
    end
endfunction
