//  Copyright (C) 2014 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function %Link_p(L,fulldisp)
    [%nargout,%nargin]=argn(0);
    print_link(L);
    if %nargin > 1 then

        if ~isempty(L.m) then
            mprintf("  m    = %f n", L.m)
        end
        if ~isempty(L.r) then
            mprintf("  r    = %f %f %f\n", L.r');
        end
        if ~isempty(L.I) then
            mprintf("  I    = | %f %f %f |\n", L.I(1,:));
            mprintf("         | %f %f %f |\n", L.I(2,:));
            mprintf("         | %f %f %f |\n", L.I(3,:));
        end
        if ~isempty(L.Jm) then
            mprintf("  Jm   = %f\n", L.Jm);
        end
        if ~isempty(L.B) then
            mprintf("  B    = %f\n", L.B);
        end
        if ~isempty(L.Tc) then
            mprintf("  Tc   = %f(+) %f(-)\n", L.Tc(1), L.Tc(2));
        end
        if ~isempty(L.G) then
            mprintf("  G    = %f\n", L.G);
        end
        if ~isempty(L.qlim) then
            mprintf("  qlim = %f to %f\n", L.qlim(1), L.qlim(2));
        end

    end
endfunction
