//  Copyright (C) 2014 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function v = %Quat_e(field, l)
    v = [];
    select convstr(field,"l")
    case "s"
        v = l(2);
    case "v"
        v = l(3);
    case "char"
        disp(l);
    case "display"
        disp(l);
    case "double"
        v = qdouble(l);
    case "inv"
        v = qinv(l);
    case "unit"
        v = qunit(l);
    case "norm"
        v = qnorm(l);
    case "r"
        v = qrot(l);
    case "t"
        v = qhom(l);

    case "interp"
        warning(msprintf(gettext("%s.interp : use ''qinterp(Q1,Q2,r)'' \n"),"Quaternion"));
    case "scale"
        warning(msprintf(gettext("%s.scale : use ''qscale(Q,r)'' \n"),"Quaternion"));
    case "dot"
        warning(msprintf(gettext("%s.dot : use ''qdot(Q,omega)'' \n"),"Quaternion"));
    case "eq"
        warning(msprintf(gettext("%s.eq : use ''Q1 == Q2'' \n"),"Quaternion"));
    case "neq"
        warning(msprintf(gettext("%s.neq : use ''Q1 <> Q2'' \n"),"Quaternion"));
    case "plus"
        warning(msprintf(gettext("%s.plus : use  ''Q = Q1+Q2'' \n"),"Quaternion"));
    case "minus"
        warning(msprintf(gettext("%s.minus : use  ''Q = Q1-Q2'' \n"),"Quaternion"));
    case "mtimes"
        warning(msprintf(gettext("%s.mtimes : use  ''Q = Q1*Q2'' or ''Q = Q1*V''\n"),"Quaternion"));
    case "mrdivide"
        warning(msprintf(gettext("%s.mrdivide : use  ''Q = Q1/Q2'' or ''Q = Q1/S''\n"),"Quaternion"));
    case "mpower"
        warning(msprintf(gettext("%s.mtimes : use  ''Q = Q1^N'' \n"),"Quaternion"));

    end

endfunction
