//  Copyright (C) 2014 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function e = %Quat_n_l(q1, q2)
    // Test quaternion equality
    //
    // Description
    // <literal>Q1==list(Q2,Q3...)</literal> is true if the quaternions Q1 and Q2 are equal.
    //
    // Notes:
    //
    // See also 
    // Quaternion
    // %Quat_n_Quat
    //
    // Authors
    // Copyright (C) 1993-2011 - Peter I. Corke
    // Copyright (C) 2014 - Davide Cappucci
    if (length(q1) == 3) & (length(q2) > 1)
        for i=1:length(q2)
            e(i) = (q2(i) ~= q1);
        end
    else
        error('quaternion:badargs');
    end
endfunction
