//  Copyright (C) 2014 - Davide Cappucci
//
//  This file is part of Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

function teach_callback(i,name)
    tol = 1e-10;
    obj = findobj("Tag", name);   // because i'm here, it does exist surely
    fig = get(obj, "Parent");
    rh = rt_findtag(name);
    
    set(obj, "enable", "off");
    enable = get(obj,"enable");
    
    ud = rh(1).userdata;
    //disp(ud(1));
    rr = ud(2);
    n = rr.n;
    //disp(n);
    //disp(rr);
    
     q = [];
     
    user_d=obj.userdata;
    gui_ud = evstr(user_d);
    scale = gui_ud(1:n);
    qqscale = gui_ud(n+1:2*n);
    rplot_id = gui_ud($);
    
     // get value from sliders
    for j = 1:n,
        objslider_j = findobj("Tag", "Slider" + sci2exp(j));
        sli_val = get(objslider_j, "Value");
        if abs(sli_val) < tol then
            q(j) = 0;
        else
            q(j) = sli_val/scale(j);
        end
        //disp(sli_val);
        objedit_j = findobj("Tag", "Edit" + sci2exp(j));
        set(objedit_j, "String",  sprintf('%.3f', qqscale(j)*q(j)));//sci2exp(qscale(j)*q(j)));
    end

    scf(rplot_id);

     plot_robot(rr, q.');
    drawnow();
    
    T6 =fkine(rr,q);     //= robot.fkine(q);
    for i = 1:3,
        objxyza1 = findobj("Tag", "hxyzatext" + sci2exp(i)+ "1");
        set(objxyza1, "String", sprintf('%.3f', T6(i,4)));//sci2exp(T6(i,4)));
        objxyza2 = findobj("Tag", "hxyzatext" + sci2exp(i)+ "2");
        set(objxyza2, "String", sprintf('%.3f', T6(i,3)));//sci2exp(T6(i,3)));
    end
    
    //drawnow
endfunction
