// This file is released under the 3-clause BSD license. See COPYING-BSD.

// This macro compiles the files

function builder_src()
    src_c_path = get_absolute_file_path("builder_src.sce");

    CFLAGS = ilib_include_flag(src_c_path);
    LDFLAGS = "";
    if (getos()<>"Windows") then
        if ~isdir(SCI+"/../../share") then
            // Source version
            CFLAGS = CFLAGS + " -I" + SCI + "/modules/scicos_blocks/includes" ;
            CFLAGS = CFLAGS + " -I" + SCI + "/modules/scicos/includes" ;
        else
            // Release version
            CFLAGS = CFLAGS + " -I" + SCI + "/../../include/scilab/scicos_blocks";
            CFLAGS = CFLAGS + " -I" + SCI + "/../../include/scilab/scicos";
        end
    else
        CFLAGS = CFLAGS + " -I" + SCI + "/modules/scicos_blocks/includes";
        CFLAGS = CFLAGS + " -I" + SCI + "/modules/scicos/includes";

        // Getting symbols
        if findmsvccompiler() <> "unknown" & haveacompiler() then
            LDFLAGS = LDFLAGS + " """ + SCI + "/bin/scicos.lib""";
            LDFLAGS = LDFLAGS + " """ + SCI + "/bin/scicos_f.lib""";
        end
    end

    tbx_build_src(["Robotics_Toolbox"],        ..
    ["ne.c","robot.c", "vmath.c"],    ..
    "c",                                  ..
    src_c_path,                           ..
    "",                                   ..
    LDFLAGS,                              ..
    CFLAGS,                               ..
    "",                                   ..
    "",                                   ..
    "Robotics_Toolbox");
endfunction

builder_src();
clear builder_src; // remove builder_c on stack
